<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');
include_once('../../../php/timezone.php');

$empCod = $_SESSION['empCod'];

# QUERYS
$sBancos = "SELECT *, TRIM(ban_nom) as ban_nom FROM bancos WHERE ban_emp='$empCod'";

# EJECUCION DE QUERYS
$db = new dbExec();
$select["bancos"] = $db->query($sBancos);
$db->close();
?>
<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-file-excel"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');

        $modalImp = "modalImp";
        include_once('../../../php/includes/modalImp.php');
      ?>
      <div class="container-as">
        <div class="row">
          <div class="col">
            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Impresion de Hoja Adjunta</a>
              </li>
            </ul>
            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">
                
                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-group">

                    <div class="form-row">
                      <div class="col-3"></div>
                      <div class="col-md-6">
                        <label for="selTipo" class="font-size-lg">Seleccione Cuenta Bancaria</label>
                          <select class="form-control form-control-sm form-control-as font-size-lg" name="selBan" id="selBan">
                            <?php
                              while ($rec = $db->fetchAssoc($select['bancos'])) {
                                echo  '<option value="'.$rec['ban_num'].'" data-ctab="'.$rec['ban_ctab'].'">'.utf8_encode($rec['ban_nom']).'</option>';
                              }
                            ?>
                          </select>
                      </div>
                      <div class="col-3"></div>
                    </div>

                    <div class="form-row align-items-end mt-4">
                      <div class="col-6">
                        <label for="numChi" class="font-size-lg">Cheque Inicial:</label>
                        <input type="number" class="form-control form-control-as" id="numChi" value=1 placeholder="">
                      </div>
                      <div class="col-6">
                        <label for="numChf" class="font-size-lg">Cheque Final: </label>
                        <input type="number" class="form-control form-control-as" id="numChf" value=1 placeholder="">
                      </div>
                    </div>

                  </div>

                  <h3 class="text-light"></h3>

                  <div class="form-group">
                    <div class="form-row">
                      <div class="form-group col-3">
                      </div>
                      <div class="form-group col-6">
                        <button class="btn btn-primary btn-lg btn-block" id="btnImprimir" type="button">Imprimir</button>
                      </div>
                      </div>
                  </div>
                </form>

              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  const numChi = document.thisform.numChi;
  const numChf = document.thisform.numChf;
  const selBanCod = document.thisform.selBan;
  
  function restriccion() {
    if (isNullPer(selBan.value)) {
      selBan.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el Numero de Cuenta Bancaria"}});
      return true;
    }
    if (isNullPer(numChi.value)) {
      numChi.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el Numero de Cheque Inicial"}});
      var lerror=true;
      return true;
    }
    if (isNullPer(numChf.value)) {
      numChf.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el Numero de Cheque Final"}});
      return true;
    }
    return false;
  }

function restriccionmenor() {
    if (numChf.value < numChi.value) {
      numChf.focus();
      alWarning({"msg":{"title":"Dato Erroneo","text":"El cheque final no puede ser menor al cheque inicial"}});
      return true;
    }
    return false;
  }

    // VALID NUMERO CHEQUE INICIAL
    $("#numChi")
    .blur(function (){
      setTimeout(function(){
        if (!$('#selBan').is(':focus')) {
          consultarChequei();
        }
      },0);
    });

    // VALID NUMERO CHEQUE INICIAL
    $("#numChf")
    .blur(function (){
      setTimeout(function(){
        if (!$('#selBan').is(':focus')) {
          consultarChequef();
        }
      },0);
    });

  function consultarChequei(){
    //if (restriccion(true)) {return};
    

    const parametros = new FormData();
    parametros.append("action", "consultar");

    parametros.append("numNum", numChi.value);
    parametros.append("selBanCod", selBan.value);
    
    //numChi.focus()

    $.ajax({
      data:  parametros,
      url:   window.location.origin+window.location.pathname+"actions.php",
      type:  "post",
      contentType: false,
      processData: false,
      success: function (jsonPhp) {
        const jsonJS = JSON.parse(jsonPhp);
        tblPolAnt = JSON.stringify(jsonJS.poli_det);

        if(jsonJS.error == true){
          alError(jsonJS);
        } else {
          if (jsonJS.cheques === null) {
            alWarning({"msg":{"title":"CHEQUE NO EXISTE","text":"El número de Cheque inicial NO HA SIDO REGISTRADO, verifique."}});
            return true;
            numChi.focus()
          } else {
            return false;
          }
        }
      }
    });
  }
  function consultarChequef(){
    //if (restriccion(true)) {return};
    

    const parametros = new FormData();
    parametros.append("action", "consultar");

    parametros.append("numNum", numChf.value);
    parametros.append("selBanCod", selBan.value);

    //numChf.focus()

    $.ajax({
      data:  parametros,
      url:   window.location.origin+window.location.pathname+"actions.php",
      type:  "post",
      contentType: false,
      processData: false,
      success: function (jsonPhp) {
        const jsonJS = JSON.parse(jsonPhp);
        tblPolAnt = JSON.stringify(jsonJS.poli_det);

        if(jsonJS.error == true){
          alError(jsonJS);
        } else {
          if (jsonJS.cheques === null) {
            alWarning({"msg":{"title":"CHEQUE NO EXISTE","text":"El número de Cheque final NO HA SIDO REGISTRADO, verifique."}});
            return true;
            numChf.focus();
          } else {
            return false;
          }
        }
      }
    });
  }


  $(document).ready(function() {
    $(this).find('select:visible:first').focus();

    
    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });

    // CLICK IMPRIMIR
    $("#btnImprimir").click(function (){
      if (restriccion()) {return};
      if (restriccionmenor()) {return};

      if (consultarChequei()) {return};
      if (consultarChequef()) {return};

      const getnumChi = "?numChi="+numChi.value;
      const getnumChf = "&numChf="+numChf.value;
      const getBanCod = "&selBanCod="+selBan.value;
      var url = window.location.origin+window.location.pathname+"print.php"+getnumChi+getnumChf+getBanCod;

      window.open(url, '_blank');
    });
  });

</script>